• 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
[Ubuntu-server] Installation agent via les dépôts échoue
#1
Bonjour, et tout d'abord merci pour votre formidable travail ! =D

J'utilise un Ubuntu-Server 10.04 qui héberge GLPI 0.78.3 et le plugin FusionInventory 2.3.0 (+ FusionInventory INVENTORY 2.3.0-1 + FusionInventory SNMP 2.3.0-1)
J'ai installé un agent sur un Windows XP, il fonctionne très bien.

Je souhaite installer l'agent sur le serveur Ubuntu. J'ai bien suivi la page d'installation, l'ajout des dépôts se fait correctement ("apt-cache search fusioninventory" me renvoie bien la liste des paquets disponibles), le "apt-get update" est bon, mais lors de l'installation de l'agent, apt-get install me répond :

Code:
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Les paquets supplémentaires suivants seront installés :
  libproc-daemon-perl libproc-pid-file-perl libuniversal-require-perl
Paquets suggérés :
  nmap smartmontools read-edid
Paquets recommandés :
  libhttp-daemon-perl
Les NOUVEAUX paquets suivants seront installés :
  fusioninventory-agent libproc-daemon-perl libproc-pid-file-perl libuniversal-require-perl
0 mis à  jour, 4 nouvellement installés, 0 à  enlever et 9 non mis à  jour.
Il est nécessaire de prendre 477ko dans les archives.
Après cette opération, 2 515ko d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer [O/n] ? O

Err http://debian.fusioninventory.org/debian/ stable/main fusioninventory-agent 2.1.8-2
  Échec de la connexion

Réception de : 1 http://fr.archive.ubuntu.com/ubuntu/ lucid/universe libproc-daemon-perl 0.03-2 [8 244B]
Réception de : 2 http://fr.archive.ubuntu.com/ubuntu/ lucid/universe libproc-pid-file-perl 1.24-7 [11,7kB]
Réception de : 3 http://fr.archive.ubuntu.com/ubuntu/ lucid/universe libuniversal-require-perl 0.13-1 [8 918B]
28,9ko réceptionns en 3s (8 777o/s)

Impossible de récupérer http://debian.fusioninventory.org/debian/./pool/fusioninventory-agent_2.1.8-2_i386.deb
  Échec de la connexion

E: Impossible de récupérer quelques archives, peut-être devrez-vous lancer apt-get update ou essayer avec --fix-missing ?

Je ne vois vraiment pas d'où celà vient, j'arrive à faire un wget de l'url qu'il cherche (http://debian.fusioninventory.org/debian...2_i386.deb).

Merci de votre aide !
  Reply
#2
bonjour,
il manque peut-être un apt-get update avant de lancer l'installation des paquets
  Reply
#3
Reg Wrote:le "apt-get update" est bon

Je l'ai fait plusieurs fois, pas de soucis pour récupérer la liste des paquets.

J'ai réessayé sur un autre Ubuntu-server 10.04, toujours le même problème...
  Reply
#4
J'ai eu ce soucis y a quelques jours chez un client, j'ai fais un "wget lien" et un "dpkg install fichier.deb"

Je ne sais pas trop d'ou ça vient, j'avais une ligne reseau pas top top....
Co-leader, official developper
DCS official PARTNER: dcs.glpi@dcsit-group.com
  Reply
#5
Bonjour ddurieux,
J'ai installé le paquet avec dpkg mais il n'a pas l'air de se lancer pas et me dit :
Code:
share-dir doesn't existe

Qu'est ce ?
Merci
  Reply
#6
J'ai réinstallé les paquets et j'ai trouvé dans le fichier de configuration (/etc/fusioninventory/agent.cfg) :
Code:
share-dir=/usr/share/perl5/auto/share/dist/FusionInventory-Agent

J'ai vérifié que le dossier était bien présent, rebooté, et l'agent à l'air de fonctionner puisque j'arrive à accéder au http://IPserv:62354

Il me reste à installer les paquets pour le SNMP et le NetDiscovery, je vous tiens au courant.
  Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)